<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleResult_V6 StructType
 * @subpackage Structs
 */
class VehicleResult_V6 extends VehicleResult_V5
{
    /**
     * The Trailer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierTrailerResult
     */
    public $Trailer;
    /**
     * Constructor method for VehicleResult_V6
     * @uses VehicleResult_V6::setTrailer()
     * @param \StructType\IdentifierTrailerResult $trailer
     */
    public function __construct(\StructType\IdentifierTrailerResult $trailer = null)
    {
        $this
            ->setTrailer($trailer);
    }
    /**
     * Get Trailer value
     * @return \StructType\IdentifierTrailerResult|null
     */
    public function getTrailer()
    {
        return $this->Trailer;
    }
    /**
     * Set Trailer value
     * @param \StructType\IdentifierTrailerResult $trailer
     * @return \StructType\VehicleResult_V6
     */
    public function setTrailer(\StructType\IdentifierTrailerResult $trailer = null)
    {
        $this->Trailer = $trailer;
        return $this;
    }
}
